Package org.codehaus.groovy.control.io

# Class StringReaderSource

java.lang.Object
org.codehaus.groovy.control.io.AbstractReaderSource
org.codehaus.groovy.control.io.StringReaderSource

All Implemented Interfaces:
  `HasCleanup`, `ReaderSource`

public class StringReaderSource extends AbstractReaderSource
A ReaderSource for source strings.

Author:
  Chris Poirier

## Field Summary

### Fields inherited from class org.codehaus.groovy.control.io.AbstractReaderSource

`configuration`

## Constructor Summary

Constructors
Constructor
Description
`StringReaderSource(String string, CompilerConfiguration configuration)`
Creates the ReaderSource from a File descriptor.

## Method Summary

Modifier and Type
Method
Description
`Reader`
`getReader()`
Returns a new Reader on the underlying source object.
`URI`
`getURI()`
Returns a Data URI (RFC 2397) containing the literal value of this source string.

### Methods inherited from class org.codehaus.groovy.control.io.AbstractReaderSource

`canReopenSource, cleanup, getLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringReaderSource

public StringReaderSource(String string, CompilerConfiguration configuration)
Creates the ReaderSource from a File descriptor.

Parameters:
  `string` - string containing script source
  `configuration` - configuration for compiling source

## Method Details

### getReader

public Reader getReader() throws IOException
Returns a new Reader on the underlying source object.

Returns:
  the reader to the resource
Throws:
  `IOException` - if there was an error opening for stream

### getURI

public URI getURI()
Returns a Data URI (RFC 2397) containing the literal value of this source string.

Returns:
  Data URI containing the literal value of this source string.